Summary: User & Group administration tools for Samba-OpenLDAP
Name: smbldap-tools
Version: 0.8.7
Release: 5AX
Group: Applications/System
License: GNU GPL Version 2
URL: http://samba.idealx.org/
Source0: http://samba.idealx.org/dist/old-versions/%{name}-%{version}.tgz
Source1: samba.schema
Source2: convertSambaAccount
Patch0:  smbldap-tools-0.8.7-asianux.patch
Patch1:  smbldap-tools-0.8.7-passwd.patch
Patch2:  smbldap-tools-0.8.7-migrate_groups.patch
Patch3:  smbldap-tools-0.8.7-asianux-1.patch
Patch4:  smbldap-tools-0.8.7-asianux-2.patch
Patch5:  smbldap-tools-0.8.7-smb.conf.patch
Requires: samba >= 3.0.21, perl, perl-LDAP, perl-Crypt-SmbHash

%description
This tool is useful for manipulating user/group information
including Unix and Samba passwords under Samba/OpenLDAP
environment.

%prep
%setup -q
%patch0 -p1 -b .asianux
%patch1 -p1 -b .passwd
%patch2 -p1 -b .migrate_groups
%patch3 -p1 -b .asianux-1
%patch4 -p1 -b .asianux-2
%patch5 -p1 -b .smb-conf

%install
rm -rf $RPM_BUILD_ROOT

## LDAP related configuration
mkdir -p $RPM_BUILD_ROOT/etc/samba
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/openldap/schema/
mkdir -p $RPM_BUILD_ROOT%{perl_sitearch}
install -m644 smbldap.conf $RPM_BUILD_ROOT/etc/samba/smbldap.conf
install -m600 smbldap_bind.conf $RPM_BUILD_ROOT/etc/samba/smbldap_bind.conf
install -m550 smbldap-groupadd $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-groupadd
install -m550 smbldap-groupdel $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-groupdel
install -m550 smbldap-groupmod $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-groupmod
install -m555 smbldap-groupshow $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-groupshow
install -m555 smbldap-passwd $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-passwd
install -m550 smbldap-useradd $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-useradd
install -m550 smbldap-userdel $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-userdel
install -m550 smbldap-usermod $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-usermod
install -m555 smbldap-usershow $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-usershow
install -m555 smbldap-populate $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-populate
install -m444 smbldap_tools.pm $RPM_BUILD_ROOT%{perl_sitearch}/smbldap_tools.pm
install -m550 doc/smbldap-migrate-accounts $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-migrate-accounts
install -m550 doc/smbldap-migrate-unix-accounts $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-migrate-unix-accounts
install -m550 doc/smbldap-migrate-unix-groups $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-migrate-unix-groups
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/openldap/schema/samba.schema
install -m550 %{SOURCE2} $RPM_BUILD_ROOT%{_prefix}/sbin/convertSambaAccount
install -m550 smbldap-hostgadd $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-hostgadd
install -m550 smbldap-hostgdel $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-hostgdel
install -m550 smbldap-hostgmod $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-hostgmod
install -m555 smbldap-hostgshow $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-hostgshow

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -e %{perl_sitearch}/smbldap.conf ]; then
	ln -s /etc/samba/smbldap.conf %{perl_sitearch}/smbldap.conf
fi
if [ ! -e %{perl_sitearch}/smbldap_bind.conf ]; then
	ln -s /etc/samba/smbldap_bind.conf %{perl_sitearch}/smbldap_bind.conf
fi

%preun
if [ $1 = 0 ] ; then
	rm -f %{perl_sitearch}/smbldap.conf
	rm -f %{perl_sitearch}/smbldap_bind.conf
fi

%files
%defattr(-,root,root)
%doc FILES TODO README CONTRIBUTORS INSTALL ChangeLog INFRA
%doc configure.pl smb.conf doc/smbldap-tools.pdf doc/html
%{_sysconfdir}/openldap/schema/samba.schema
%{_prefix}/sbin/smbldap-groupadd
%{_prefix}/sbin/smbldap-groupdel
%{_prefix}/sbin/smbldap-groupmod
%{_prefix}/sbin/smbldap-groupshow
%{_prefix}/sbin/smbldap-passwd
%{_prefix}/sbin/smbldap-useradd
%{_prefix}/sbin/smbldap-userdel
%{_prefix}/sbin/smbldap-usermod
%{_prefix}/sbin/smbldap-usershow
%{_prefix}/sbin/smbldap-populate
%{_prefix}/sbin/smbldap-migrate-accounts
%{_prefix}/sbin/smbldap-migrate-unix-accounts
%{_prefix}/sbin/smbldap-migrate-unix-groups
%{_prefix}/sbin/convertSambaAccount
%config(noreplace) %{_sysconfdir}/samba/smbldap.conf
%config(noreplace) %{_sysconfdir}/samba/smbldap_bind.conf
%{perl_sitearch}/smbldap_tools.pm
%{_prefix}/sbin/smbldap-hostgadd
%{_prefix}/sbin/smbldap-hostgdel
%{_prefix}/sbin/smbldap-hostgmod
%{_prefix}/sbin/smbldap-hostgshow

%changelog
* Mon Mar 26 2007 Atsushi Nakabayashi <nakabayashi@miraclelinux.com> 0.8.7-5AX
- update samba.schema for samba-3.0.24
- change from " to ' in smb.conf(Patch5)

* Tue May 24 2005 Hideo Takeuchi <takeuchi@miraclelinux.com> 0.8.7-4AX
- sed to manage the user whom each host can login

* Mon May 23 2005 Shiro Yamada <shiro@miraclelinux.com> 0.8.7-3AX
- fix post section

* Fri May 20 2005 Hideo Takeuchi <takeuchi@miraclelinux.com> 0.8.7-2AX
- fix smbldap-useradd and smbldap-passwd to use smbpasswd 
- UID_START variable and GID_START variable can be used

* Wed Mar 23 2005 Shiro Yamada <shiro@miraclelinux.com> 0.8.7-1AX
- Initial build for smbldap-tools-0.8.7.
